# -*- encoding: cp1251 -*-

"""
Задача "Производство бензина"
Первая интернет-олимпиада сезона 2010-2011
Автор задачи: Максим Носенко, nosenko@rain.ifmo.ru
Автор решения: Владимир Ульянцев, ulyantsev@rain.ifmo.ru
"""
ans = 0

with open("petrol.in") as inf:
    n = int(inf.readline())
    best = 10e10
    for i in xrange(1, n + 1):
        a, b, c = [int(t) for t in inf.readline().split()]
        if a * 1. / (c - b) < best:
            best = a * 1. / (c - b)
            ans = i

with open("petrol.out", "w") as ouf:
    print >>ouf, ans
